Click or drag to resize

IntersectionPlaneSphere Method

Intersects a plane with a sphere using exact calculations.

Namespace:  Rhino.Geometry.Intersect
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static PlaneSphereIntersection PlaneSphere(
	Plane plane,
	Sphere sphere,
	out Circle intersectionCircle
)

Parameters

plane
Type: Rhino.GeometryPlane
Plane to intersect.
sphere
Type: Rhino.GeometrySphere
Sphere to intersect.
intersectionCircle
Type: Rhino.GeometryCircle
Intersection result.

Return Value

Type: PlaneSphereIntersection
If None is returned, the intersectionCircle has a radius of zero and the center point is the point on the plane closest to the sphere.
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.5
See Also